/* HAUIF.H -- Example host application user interface function prototypes.
 * Copyright (c) 1993 by Echelon Corporation.
 * All Rights Reserved.
 *
 * Date last modified: 3/25/93
 */

extern int get_integer( const char * prompt, int default_val );

extern boolean get_choice( const char * prompt, char true_choice,
        char false_choice );

extern boolean handle_error( NI_Code ni_error,
             ComplType completion,      // set to MSG_SUCCEEDS to omit check
             byte      response_code,   // set to NO_CHECK to omit check
             const char    * msg_name );
        // return TRUE if failure, FALSE if success

#define NO_CHECK 0x20   /* do not check response code */

extern void print_array( const void * data, int length, const char * format );

extern boolean report_flag, verbose_flag;
extern char            * lon_device_name ;

/*************************** Function Prototypes ****************************/


extern boolean process_msg( ServiceType, RcvAddrDtl *,
    MsgData * in_data, int in_length, boolean in_auth );     // in APPLMSG.C

extern void process_cmd( void );             /* Process keyboard command */
extern void error_exit( void );
extern void sign_on( void );                 // in HAUIF.C
extern void load_NV_config( void );          // in APPLMSG.C
void install_prog_ID( void );                // in HA.C

